<?php
//注释：本项目由肇庆市公文宝软件科技有限公司开发，联系我们：admin@gwbsoft.com


//------以下为用户配置内容--------

$host = "localhost";       //请将左边双引号内的localhost更改为MySQL所在的服务器地址
$user = "root";            //请将左边双引号内的root更改为连接MySQL的用户名
$pwd = "";                 //请在左边双引号内填入连接MySQL的密码
$dbname = "GWBDatabase";   //请在左边双引号内填入数据库名

$showList = "收文日期|来文字号|文件标题|拟办意见|领导批示|办理状态|存档附件";  //以 | 分隔，设置需要显示在网页的字段内容
$allowReview = 1;   //这里设为等于 1 开启评论区，设为 0 关闭

//------以上为用户配置内容---------


function _get($str){
    $val = !empty($_GET[$str]) ? $_GET[$str] : null;
    return $val;
}

function HexDecode($str) {

	$Result = hex2bin($str);
	$Result = iconv("GBK","utf-8//IGNORE",$Result);
	$Result=preg_replace('/\n|\r\n/','<br>',$Result);
    return $Result;
}

function HexEncode($AStr)
{
  $Result=iconv("utf-8","GBK//IGNORE",$AStr);
  $Result=bin2hex($Result);
  return $Result;
}

function mysqli_field_name($result, $field_offset)
{
    $properties = mysqli_fetch_field_direct($result, $field_offset);
    return is_object($properties) ? $properties->name : null;
}

$ip   =   $_SERVER['REMOTE_ADDR'];
$db = _get('db');
$code = _get('code');
$showList_arr = explode('|',$showList);
$reviewExist = false;
$reviewExist = false;
$dateExist = false;
$timeExist = false;
$reviewText = "";

$dbtable = "GDatabase_".$db."_config";  
$connect = mysqli_connect($host, $user, $pwd) or die("Couldn't connect Mysql server!");

	if (mysqli_select_db($connect, $dbname))
	{
		if (isset($_POST['action']) && $_POST['action'] == 'submitted') { 
		$user = $_POST['user']; 
		$message = $_POST['message']; 
		$user = $_POST['user'];
		date_default_timezone_set('PRC'); 		
		$dtime=date("Y-m-d H:i:s");
		$reviewDate=date("Ymd");
		$reviewTime=date("His");

		$sql = "select x_".HexEncode("评论区")." from ".$dbtable."_database where x_".HexEncode("条码标识")."='".HexEncode($code)."';"; 		
		$result = @ MYSQLi_QUERY($connect, $sql) or die("Invalid query: " . mysqli_error($connect));
		$row = mysqli_fetch_array($result);
		if ($row[0]=="") {$reviewText=$row[0].HexEncode($dtime." 来自".$user."(".$ip.")的评论:\n".$message);} else {
		$reviewText=$row[0].HexEncode("\n\n".$dtime." 来自".$user."(".$ip.")的评论:\n".$message);} 
		$sql = "update ".$dbtable."_database set x_".HexEncode("评论区")."='".$reviewText."', x_".HexEncode("评论日期")."='".$reviewDate."', x_".HexEncode("评论时间")."='".$reviewTime."' where x_".HexEncode("条码标识")."='".HexEncode($code)."';";
		$result = @ MYSQLi_QUERY($connect, $sql) or die("Invalid query: " . mysqli_error($connect));
	} 
	
	
	$sql = "select * from ".$dbtable."_database where x_".HexEncode("条码标识")."='".HexEncode($code)."';";  
    $result = @ MYSQLi_QUERY($connect, $sql) or die("Invalid query: " . mysqli_error($connect));  
  
    $fieldNum = mysqli_num_fields($result);   
    $resultNum = mysqli_num_rows($result);

	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf8\" />";
	echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, minimum-scale=0.5, maximum-scale=2.0, user-scalable=yes\" />"; 	
	
	if ($resultNum<1) {
		echo "<br>错误：没有找到数据记录！";
		mysqli_close($connect);
		exit;
	}
  
    $dbtField = array ();
	$row = mysqli_fetch_array($result);	
	
	echo "您查看的信息如下：<br><br>";
   
    for ($i = 0; $i < $fieldNum; $i++) {  
		$dbtField[$i] = mysqli_field_name($result, $i);
	    for ($j=0; $j<=sizeof($showList_arr)-1; $j++) {			
			if (strtoupper("x_".HexEncode($showList_arr[$j]))==strtoupper($dbtField[$i])) {
				echo "<strong>".$showList_arr[$j].":</strong><br>";
				$sql = "select Model from ".$dbtable." where ItemName='".HexEncode($showList_arr[$j])."';"; 		
				$res = @ MYSQLi_QUERY($connect, $sql) or die("Invalid query: " . mysqli_error($connect));
				$imodel = mysqli_fetch_array($res);
				if ($imodel[0]=='6') {
					$ext=pathinfo(HexDecode($row[$i]),PATHINFO_EXTENSION); 
					$url = "http://".$_SERVER['HTTP_HOST']."/".$dbname."/".$dbtable."_database/".$row['ID']."_".$dbtField[$i].".".$ext;
					echo "&nbsp;&nbsp;<a href=\"".$url."\" >".HexDecode($row[$i])."</a><br>";
				} else {
					if ((is_numeric($row[$i])) && (int)$row[$i]<20300000) {
						echo "&nbsp;&nbsp;".$row[$i]."<br>";
					} else {
						echo "&nbsp;&nbsp;".HexDecode($row[$i])."<br>";
					}
				}
				
			}
			if (strtoupper("x_".HexEncode("评论区"))==strtoupper($dbtField[$i])) { 
				$reviewExist = true;
				$reviewText =  HexDecode($row[$i]);
			}
			if (strtoupper("x_".HexEncode("评论日期"))==strtoupper($dbtField[$i])) { 
				$dateExist = true;
			}
			if (strtoupper("x_".HexEncode("评论时间"))==strtoupper($dbtField[$i])) { 
				$timeExist = true;
			}
		}       	   
    }
	if ($allowReview) {
		if (!$reviewExist) {
			$sSQL ="ALTER TABLE ".$dbtable."_database ADD COLUMN x_".HexEncode("评论区")." TEXT;";
			mysqli_query($connect, $sSQL);
		}
		if (!$dateExist) {
			$sSQL ="ALTER TABLE ".$dbtable."_database ADD COLUMN x_".HexEncode("评论日期")." VARCHAR (255);";
			mysqli_query($connect, $sSQL);
		}
		if (!$timeExist) {
			$sSQL ="ALTER TABLE ".$dbtable."_database ADD COLUMN x_".HexEncode("评论时间")." VARCHAR (255);";
			mysqli_query($connect, $sSQL);
		}
		echo "<strong>评论区内容：</strong><br>";
		echo "".$reviewText."<br>";
		echo "<script type=\"text/javascript\">function validate_required(field,alerttxt)";
		echo "{with (field)  {  if (value==null||value==\"\") {alert(alerttxt);return false}";
		echo "else {return true}  }}function validate_form(thisform)";
		echo "{with (thisform)  {  if (validate_required(message,\"请输入评论内容！\")==false)";
		echo "{message.focus();return false}  if (validate_required(user,\"请输入您的名字！\")==false)";
		echo "{user.focus();return false}  }}</script>";
		echo "<table><form id=\"form1\" method=\"post\" action=\"".$_SERVER['PHP_SELF']."?db=".$db."&code=".$code."\" onsubmit=\"return validate_form(this)\" name=\"thisform\">";
		echo "<br>发表评论：<br><textarea NAME=\"message\"></textarea><br>您的名字：<br> <input TYPE=\"text\" NAME=\"user\" SIZE=\"10\" >";
		echo "<input type=\"hidden\" name=\"action\" value=\"submitted\"> <br><input TYPE=\"submit\" VALUE=\"发表\"></form></table>";		
	}

}
	
mysqli_close($connect); 
?>